"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.vueDeps = exports.reactDeps = exports.commonDeps = void 0;
const vueDeps = {
    deps: [
        'vue@next',
        'vue-router@next',
        'pinia@next',
        'ant-design-vue@next',
        '@vueuse/core'
    ],
    devDeps: [
        '@typescript-eslint/eslint-plugin',
        '@typescript-eslint/parser',
        '@vitejs/plugin-vue',
        '@vue/compiler-sfc',
        '@vue/eslint-config-standard',
        '@vue/eslint-config-typescript',
        'eslint-plugin-vue',
        'vue-tsc',
        '@vitejs/plugin-vue-jsx'
    ]
};
exports.vueDeps = vueDeps;
const reactDeps = {
    deps: [
        'ahooks',
        'antd',
        'react',
        'react-dom',
        'react-redux',
        'react-router-dom',
        '@reduxjs/toolkit'
    ],
    devDeps: [
        '@types/react',
        '@types/react-dom',
        '@types/react-router-dom',
        '@typescript-eslint/eslint-plugin',
        '@typescript-eslint/parser',
        '@vitejs/plugin-react-refresh',
        'eslint-plugin-react',
        'eslint-plugin-react-hooks',
        'vite-react-jsx',
        '@types/react-redux'
    ]
};
exports.reactDeps = reactDeps;
const commonDeps = {
    dep: ['lodash-es', 'axios', 'js-cookie', 'nprogress', 'js-base64'],
    devDep: [
        '@babel/eslint-parser',
        '@types/lodash-es',
        '@types/node',
        '@types/js-cookie',
        '@types/nprogress',
        '@types/js-base64',
        'prettier',
        'eslint',
        'less',
        'typescript',
        'vite',
        'husky',
        'vite-plugin-compression',
        'vite-plugin-style-import',
        'eslint-plugin-import',
        'eslint-plugin-node',
        'eslint-plugin-promise'
    ]
};
exports.commonDeps = commonDeps;
